%define upstream_name	 Net-Amazon
%define upstream_version 0.61

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Framework for accessing amazon.com via SOAP and XML/HTTP
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(LWP::UserAgent) >= 2.0.0
BuildRequires: perl(Log::Log4perl) >= 0.300.0
BuildRequires: perl(Time::HiRes) >= 1.0.0
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(XML::Simple) >= 2.80.0
BuildArch:  noarch

%description
Net::Amazon provides an object-oriented interface to amazon.com's
SOAP and XML/HTTP interfaces. This way it's possible to create applications
using Amazon's vast amount of data via a functional interface, without
having to worry about the underlying communication mechanism.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%files
%doc Changes META.yml README TODO eg
%{perl_vendorlib}/Net
%{_mandir}/man3/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.610.0-2.mga3
+ Revision: 370498
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 05 2011 kharec <kharec> 0.610.0-1.mga2
+ Revision: 163549
- update to 0.61

  + jquelin <jquelin>
    - update to 0.60

* Thu Jan 20 2011 jquelin <jquelin> 0.590.0-1.mga1
+ Revision: 26667
- mageia rebuild
- imported package perl-Net-Amazon

